GNU bug report logs - #26360
26.0.50; ido-mode doesn't enable IDO for C-x 4 d

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Philipp Stephani <p.stephani2@HIDDEN>; dated Tue, 4 Apr 2017 12:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 26360 <at> debbugs.gnu.org:


Received: (at 26360) by debbugs.gnu.org; 1 May 2017 11:25:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 01 07:25:40 2017
Received: from localhost ([127.0.0.1]:48580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d59SW-00084R-G9
	for submit <at> debbugs.gnu.org; Mon, 01 May 2017 07:25:40 -0400
Received: from mail-wm0-f54.google.com ([74.125.82.54]:35849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1d59SV-00084F-AP
 for 26360 <at> debbugs.gnu.org; Mon, 01 May 2017 07:25:40 -0400
Received: by mail-wm0-f54.google.com with SMTP id u65so85998447wmu.1
 for <26360 <at> debbugs.gnu.org>; Mon, 01 May 2017 04:25:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=jHPJR9u8eusjiouwZ0TYgGUefZOFHrMrk9megs4NNq4=;
 b=MQYVQgCR1WZgVL5uD0vUhtaQaGiJ0VKN+OryKDkVEjHI/Jpa8nVhMqP3QxhfdjYvb8
 W8AsB5fy4V15i3aT21mdVMnA8m/+vBKe9JybP48xueVzHcd74YfGXFGjJi04JsWDbWiU
 usiBx1SqSApC5jTtAenx8UNiaH8CbpB2RdMJ017qHQzs2ZSkNM9fNE6s8dz0p6RIVFsJ
 uG75Ub4qqlk+A6TD01tPnx4Fia9baOCBaypyDFwxnEYM8yQJgWsUCuL24cPsMgwzmL4+
 +joCk/jC8oO9ziIwUKKL6chU2MH5aCHbkSkhUg7fMSQy5FLtO7FmFcL+8OTw2TfUvXpt
 ZYIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=jHPJR9u8eusjiouwZ0TYgGUefZOFHrMrk9megs4NNq4=;
 b=NZ5syxQ/eIyK8RqeoVhJgn6ecyhmz7TEXSnHWlMnglH8o45Sbl1LsbfV1Sr3RXArGE
 /obXApr7qCXL2KIpxagh8lrTU6l/R3ri375Xtkb/UXr9tZXweHzhhs1IkF9N6G1eq9wA
 eKZL1iQo/1O7utVHRrNcxG5K6T1pIvgXWjEOtSrtKGP77XQ+G5qzWXiFi+JRR2xfn6U8
 LaZNFBLr62zRidY/UmfkBeBn8o3+u8KbP2DNiXIemHFE1f8GOaeRid1Rry0L3JmeZNWi
 E6zET1iZSXrhJVQMwCJFsSUMid47+BqJ1137znueEya8z+qrOI0MDOsRoccAvufANpAX
 CoDQ==
X-Gm-Message-State: AN3rC/47agXGfGbyhji0EEEUDGXczwPfrxgn0fwJXIv6PiUGM7bA7TkP
 k59+XQwolab47tVxL3u2WZcIQYINFA==
X-Received: by 10.28.150.86 with SMTP id y83mr6343643wmd.46.1493637933614;
 Mon, 01 May 2017 04:25:33 -0700 (PDT)
MIME-Version: 1.0
References: <20170423164312.31548.76058@HIDDEN>
 <20170423164314.1CF7A2203E@HIDDEN>
 <jwvshkznh29.fsf-monnier+emacsdiffs@HIDDEN>
In-Reply-To: <jwvshkznh29.fsf-monnier+emacsdiffs@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Mon, 01 May 2017 11:25:23 +0000
Message-ID: <CAArVCkQQopdrCCJ=-2r5J93oA1rJjZTk9Gkpk1frtYt6THgzFg@HIDDEN>
Subject: Re: bug#26360: [Emacs-diffs] master a1f93c1: Add missing remappings
 for Ido mode
To: Stefan Monnier <monnier@HIDDEN>,
 Philipp Stephani <phst@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114b33e474cc74054e74ae07
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 26360
Cc: 26360 <at> debbugs.gnu.org, Noam Postavsky <npostavs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--001a114b33e474cc74054e74ae07
Content-Type: text/plain; charset=UTF-8

Stefan Monnier <monnier@HIDDEN> schrieb am So., 23. Apr. 2017 um
20:00 Uhr:

> >     Add missing remappings for Ido mode
> >     Among others, add a remapping for C-x 4 d, cf. Bug#26360.
>
> This reduces the effect of ido-everywhere to the point where I wonder if
> there's any point keeping it.
>

ido-mode and ido-everywhere are very different: ido-everywhere only changes
the completion function, ido-mode has semantic knowledge about the
commands. For example, C-x 4 f C-d visits the directory in another window;
that is impossible with ido-everywhere. On the other hand, ido-everywhere
works for other commands not explicitly covered as well.


>
> Alternatively, wouldn't it be preferable to not use this patch and
> enable ido-everywhere by default instead?
>

No, as described above, they are very different.


>
> What are the tradeoffs?
>

The installed patch solves a concrete problem now. Converging ido-mode and
ido-everywhere (and ido-ubiquitous, ibuffer, iswitchb, ...) is desirable,
but orders of magnitude more work, therefore infeasible.

--001a114b33e474cc74054e74ae07
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Stefan=
 Monnier &lt;<a href=3D"mailto:monnier@HIDDEN">monnier@HIDDEN=
eal.ca</a>&gt; schrieb am So., 23. Apr. 2017 um 20:00=C2=A0Uhr:<br></div><b=
lockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px =
#ccc solid;padding-left:1ex">&gt;=C2=A0 =C2=A0 =C2=A0Add missing remappings=
 for Ido mode<br>
&gt;=C2=A0 =C2=A0 =C2=A0Among others, add a remapping for C-x 4 d, cf. Bug#=
26360.<br>
<br>
This reduces the effect of ido-everywhere to the point where I wonder if<br=
>
there&#39;s any point keeping it.<br></blockquote><div><br></div><div>ido-m=
ode and ido-everywhere are very different: ido-everywhere only changes the =
completion function, ido-mode has semantic knowledge about the commands. Fo=
r example, C-x 4 f C-d visits the directory in another window; that is impo=
ssible with ido-everywhere. On the other hand, ido-everywhere works for oth=
er commands not explicitly covered as well.</div><div>=C2=A0</div><blockquo=
te class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc so=
lid;padding-left:1ex">
<br>
Alternatively, wouldn&#39;t it be preferable to not use this patch and<br>
enable ido-everywhere by default instead?<br></blockquote><div><br></div><d=
iv>No, as described above, they are very different.</div><div>=C2=A0</div><=
blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px=
 #ccc solid;padding-left:1ex">
<br>
What are the tradeoffs?<br>
</blockquote><div><br></div><div>The installed patch solves a concrete prob=
lem now. Converging ido-mode and ido-everywhere (and ido-ubiquitous, ibuffe=
r, iswitchb, ...) is desirable, but orders of magnitude more work, therefor=
e infeasible.=C2=A0</div></div></div>

--001a114b33e474cc74054e74ae07--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26360; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 26360 <at> debbugs.gnu.org:


Received: (at 26360) by debbugs.gnu.org; 23 Apr 2017 17:59:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 23 13:59:44 2017
Received: from localhost ([127.0.0.1]:36729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d2LnU-0007v5-5A
	for submit <at> debbugs.gnu.org; Sun, 23 Apr 2017 13:59:44 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:13173)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1d2LnR-0007ur-2G
 for 26360 <at> debbugs.gnu.org; Sun, 23 Apr 2017 13:59:42 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0DcCwBV6vxY//TvSC1cHQEFAQsBg1SFBoVZhX2QcioBl0mGHgQCAoQLRBQBAgEBAQEBAQFrKIUWAQQBViMFCwsOJhIUGA0kiicIrguLEgEBAQcCJotJijwBBJ1BlG4BiHyGcpQZNiGBBiYdCC2HSCSJawEBAQ
X-IPAS-Result: A0DcCwBV6vxY//TvSC1cHQEFAQsBg1SFBoVZhX2QcioBl0mGHgQCAoQLRBQBAgEBAQEBAQFrKIUWAQQBViMFCwsOJhIUGA0kiicIrguLEgEBAQcCJotJijwBBJ1BlG4BiHyGcpQZNiGBBiYdCC2HSCSJawEBAQ
X-IronPort-AV: E=Sophos;i="5.37,240,1488862800"; d="scan'208";a="309098541"
Received: from 45-72-239-244.cpe.teksavvy.com (HELO ceviche.home)
 ([45.72.239.244])
 by smtp.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 23 Apr 2017 13:59:34 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id 14DAE66223; Sun, 23 Apr 2017 13:59:34 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Philipp Stephani <phst@HIDDEN>
Subject: Re: [Emacs-diffs] master a1f93c1: Add missing remappings for Ido mode
Message-ID: <jwvshkznh29.fsf-monnier+emacsdiffs@HIDDEN>
References: <20170423164312.31548.76058@HIDDEN>
 <20170423164314.1CF7A2203E@HIDDEN>
Date: Sun, 23 Apr 2017 13:59:34 -0400
In-Reply-To: <20170423164314.1CF7A2203E@HIDDEN> (Philipp
 Stephani's message of "Sun, 23 Apr 2017 12:43:13 -0400 (EDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 26360
Cc: 26360 <at> debbugs.gnu.org, Noam Postavsky <npostavs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>     Add missing remappings for Ido mode
>     Among others, add a remapping for C-x 4 d, cf. Bug#26360.
    
This reduces the effect of ido-everywhere to the point where I wonder if
there's any point keeping it.

Alternatively, wouldn't it be preferable to not use this patch and
enable ido-everywhere by default instead?

What are the tradeoffs?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26360; Package emacs. Full text available.

Message received at 26360-done <at> debbugs.gnu.org:


Received: (at 26360-done) by debbugs.gnu.org; 23 Apr 2017 16:44:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 23 12:44:17 2017
Received: from localhost ([127.0.0.1]:36651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d2KcS-00065R-Op
	for submit <at> debbugs.gnu.org; Sun, 23 Apr 2017 12:44:16 -0400
Received: from mail-wm0-f44.google.com ([74.125.82.44]:35841)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1d2KcR-00065C-P5
 for 26360-done <at> debbugs.gnu.org; Sun, 23 Apr 2017 12:44:16 -0400
Received: by mail-wm0-f44.google.com with SMTP id u65so7268531wmu.1
 for <26360-done <at> debbugs.gnu.org>; Sun, 23 Apr 2017 09:44:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=2iY9hl3rlYLJNIXi0/ShTpMKMIvAjVtEY6tvhUFyOJU=;
 b=eHke+70hro5BGy/tn2015MYLOQHvGYExQ2kWo/AFUgfHgDwAjQFdMb4a3NSs3q+3CN
 12xnLW5FcQP6vgA0YLqsxfaIACcwhWideRQZ+nMDrAkwnPTgR7dtfHojTk4KcwuGqKel
 8Md9ZMDECYAhaCL3RgdIii/8IpL5usmn3cnYc2CDbyvKwLkhnbN7TthDJArzAb7dx3uA
 mNjLCDISkgA7e7tyglOef4qFfdA1BwOBiWCjp9r5iG1oeery877zCRilfAvT5r9okqzx
 iDbO3DZ/Q8rrmu/30QOmoJb6kHYx/bdkoBlu/7H3DlIHLPeodkSReGoTBH7Ao59xGS3h
 e22g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=2iY9hl3rlYLJNIXi0/ShTpMKMIvAjVtEY6tvhUFyOJU=;
 b=WuGCkTtQbkUY6+2mFYTnHj+cbzgLrsKV1q8nNQIvBEXvMiNoUKUK4PVy5XvMcp+TLh
 UIWwq2EU/uGTWxB7mTCCwoVUhYG1433vKdUhBIhjC768IEgyYazAoSYPWzzpBLYwSWRL
 Y+uFINI2ugz2oKRR+3B/mhuTQz2vmVux8U6AlsPWnmJKxhiYq9Knh97+J4hdCsWIxN4V
 085mMB2crjS4US+qPnyrKjC9pzXsVCbd8CNOuvEFmEuGzx2ecNfp9rT5IZVnG1mWIxfm
 51m47uTeZKCDjCmIr5bdQkLJ5Ojo8jCUkjviicrMPthydSt+LW4t7a6x67/kiodR2jDp
 Fn3A==
X-Gm-Message-State: AN3rC/6nrUFQo6GKPPURfyYQupMlUFSjXhsUk+xm2P/Je9cT72IpBAyc
 hcT2Fd10d8l+I9Wh5I4Ujy+gGy8EsA==
X-Received: by 10.28.156.13 with SMTP id f13mr6583345wme.44.1492965850076;
 Sun, 23 Apr 2017 09:44:10 -0700 (PDT)
MIME-Version: 1.0
References: <wvr4y3vgicta.fsf@HIDDEN>
 <CAArVCkQTLpEF9He4aQtunKc3B1L=MLhpzAjmVdxCYr4KeL-gNQ@HIDDEN>
 <87efwmqvym.fsf@HIDDEN>
 <CAArVCkRZAq-yueedgcR-BEqyTFtB=HssXX7i+V95Oa7RczRv0Q@HIDDEN>
 <87efwkp1dp.fsf@HIDDEN>
In-Reply-To: <87efwkp1dp.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 23 Apr 2017 16:43:59 +0000
Message-ID: <CAArVCkR8paM3GQTixVzK+Y=6DbvVAXVBYnocB4aVAuWa0Jkk7g@HIDDEN>
Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
To: npostavs@HIDDEN
Content-Type: multipart/alternative; boundary=001a114b391a27dc5d054dd83311
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 26360-done
Cc: 26360-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--001a114b391a27dc5d054dd83311
Content-Type: text/plain; charset=UTF-8

<npostavs@HIDDEN> schrieb am Sa., 22. Apr. 2017 um 23:38 Uhr:

> Philipp Stephani <p.stephani2@HIDDEN> writes:
>
> > <npostavs@HIDDEN> schrieb am Fr., 21. Apr. 2017 um 05:28
> Uhr:
> >>
> >> Patch looks good, except the test seems redundant to me.  I don't think
> >> it's useful to test that a command is defined, or testing that specific
> >> keybindings have been set (i.e., no need to test again that `defun' or
> >> `define-key' are working).
> >
> >
> > I've used a bit of TDD for this patch, thus the verbose test.
>
> I suppose my real objection is that 'make check' is already taking long
> enough that it makes me reluctant to use it, so I don't really want to
> see more tests of such marginal utility.  But any single test isn't
> adding a significant amount of time, so I'm not going to insist.
>

Agreed that it takes very long, but I think good coverage is more important
(and the full suite should mostly be run on continuous integration, not
manually).


>
> In conclusion, feel free to push this; as far as I'm concerned, the
> decision about the test is up to you.
>

Thanks, pushed as a1f93c1dfa.

--001a114b391a27dc5d054dd83311
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">&lt;<a=
 href=3D"mailto:npostavs@HIDDEN">npostavs@HIDDEN=
net</a>&gt; schrieb am Sa., 22. Apr. 2017 um 23:38=C2=A0Uhr:<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex">Philipp Stephani &lt;<a href=3D"mailto:p.stephani=
2@HIDDEN" target=3D"_blank">p.stephani2@HIDDEN</a>&gt; writes:<br>
<br>
&gt; &lt;<a href=3D"mailto:npostavs@HIDDEN" target=3D"_blank=
">npostavs@HIDDEN</a>&gt; schrieb am Fr., 21. Apr. 2017 um 0=
5:28 Uhr:<br>
&gt;&gt;<br>
&gt;&gt; Patch looks good, except the test seems redundant to me.=C2=A0 I d=
on&#39;t think<br>
&gt;&gt; it&#39;s useful to test that a command is defined, or testing that=
 specific<br>
&gt;&gt; keybindings have been set (i.e., no need to test again that `defun=
&#39; or<br>
&gt;&gt; `define-key&#39; are working).<br>
&gt;<br>
&gt;<br>
&gt; I&#39;ve used a bit of TDD for this patch, thus the verbose test.<br>
<br>
I suppose my real objection is that &#39;make check&#39; is already taking =
long<br>
enough that it makes me reluctant to use it, so I don&#39;t really want to<=
br>
see more tests of such marginal utility.=C2=A0 But any single test isn&#39;=
t<br>
adding a significant amount of time, so I&#39;m not going to insist.<br></b=
lockquote><div><br></div><div>Agreed that it takes very long, but I think g=
ood coverage is more important (and the full suite should mostly be run on =
continuous integration, not manually).</div><div>=C2=A0</div><blockquote cl=
ass=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;p=
adding-left:1ex">
<br>
In conclusion, feel free to push this; as far as I&#39;m concerned, the<br>
decision about the test is up to you.<br>
</blockquote><div><br></div><div>Thanks, pushed as a1f93c1dfa.=C2=A0</div>





</div></div>

--001a114b391a27dc5d054dd83311--




Notification sent to Philipp Stephani <p.stephani2@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Philipp Stephani <p.stephani2@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 26360 <at> debbugs.gnu.org:


Received: (at 26360) by debbugs.gnu.org; 22 Apr 2017 21:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 22 17:38:56 2017
Received: from localhost ([127.0.0.1]:34803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d22k4-0003hb-10
	for submit <at> debbugs.gnu.org; Sat, 22 Apr 2017 17:38:56 -0400
Received: from mail-it0-f46.google.com ([209.85.214.46]:38343)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1d22k2-0003hP-TB
 for 26360 <at> debbugs.gnu.org; Sat, 22 Apr 2017 17:38:55 -0400
Received: by mail-it0-f46.google.com with SMTP id e132so18771289ite.1
 for <26360 <at> debbugs.gnu.org>; Sat, 22 Apr 2017 14:38:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=b6m9h/b87eFrPp82scEXwQJGyTbbOWlgw/u3tffuSI8=;
 b=ThB3eoXQWyrqiZgAj9JlE3PClxE3hzkj0NLaTzb8u8IgtLosPbG0z6veno8BGxYz8w
 AQS83rFNVbu6q28iClxv8TycD+vCaSH3hYyNMlXveYWVdFJuMbJ/Pv/3yr1mMXYowQWN
 B7DnD0vRFveHZQ9Kl0QjXZKIICLBd1m4WD36FwoOwJV8jA1aGwvIlO+eu8FLCku+V9oA
 b42P0HAyzpf05WGRSjjlAhiF4GBSCVg9/BBI6st2fBbX1sQhKIgZKBvkxgvP+rkcXHGf
 YcHCPmePrWGKxo3qrJoisW/hmh191pCoT/tGAparrfrZRpgD5V5BVPARwUE8iq/UXXi7
 dvqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=b6m9h/b87eFrPp82scEXwQJGyTbbOWlgw/u3tffuSI8=;
 b=DmPnQJHXe1hmEEKEWJVk6vx7SUKOKUiMeXuwokN5DWcOYVJvBKZ7vBMP6CAFlaI5DU
 9ct/IVx+pxLap3sPadLQ6ZMMQUFcqn+YsQ5EbyUeAi4eWiAad1OYQcLHekvcQcf07Ki7
 wNVueqCntxOh3AQRse09eTBSuRiQAfPsVv7LGprve2FPVvDszXkdNTdmjuSwwWnbS/52
 mkqNEdnCWYaW7fkvZNj7YKEgD9XAMbuorknG9lDxiiQuhyTOe6gAMD6FHC/eYPyxfmSb
 1jR/HqUYxPBs0NWfVhcESXHndqyRUoBdwi3+4sLN/9RyDdNwbZJr8fw9P3NV6aGl/hAB
 3Fmw==
X-Gm-Message-State: AN3rC/5BDprEZB15dyok3KqGCiGV7KPulS2kVUTNC/m5+T6E80SOeGWG
 hGaUABRbsGLqmw==
X-Received: by 10.36.228.14 with SMTP id o14mr5590842ith.15.1492897129267;
 Sat, 22 Apr 2017 14:38:49 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id 93sm5763548ioj.58.2017.04.22.14.38.47
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 22 Apr 2017 14:38:48 -0700 (PDT)
From: npostavs@HIDDEN
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
References: <wvr4y3vgicta.fsf@HIDDEN>
 <CAArVCkQTLpEF9He4aQtunKc3B1L=MLhpzAjmVdxCYr4KeL-gNQ@HIDDEN>
 <87efwmqvym.fsf@HIDDEN>
 <CAArVCkRZAq-yueedgcR-BEqyTFtB=HssXX7i+V95Oa7RczRv0Q@HIDDEN>
Date: Sat, 22 Apr 2017 17:40:18 -0400
In-Reply-To: <CAArVCkRZAq-yueedgcR-BEqyTFtB=HssXX7i+V95Oa7RczRv0Q@HIDDEN>
 (Philipp Stephani's message of "Sat, 22 Apr 2017 19:24:05 +0000")
Message-ID: <87efwkp1dp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 26360
Cc: 26360 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Philipp Stephani <p.stephani2@HIDDEN> writes:

> <npostavs@HIDDEN> schrieb am Fr., 21. Apr. 2017 um 05:28 Uhr:
>>
>> Patch looks good, except the test seems redundant to me.  I don't think
>> it's useful to test that a command is defined, or testing that specific
>> keybindings have been set (i.e., no need to test again that `defun' or
>> `define-key' are working).
>
>
> I've used a bit of TDD for this patch, thus the verbose test.

I suppose my real objection is that 'make check' is already taking long
enough that it makes me reluctant to use it, so I don't really want to
see more tests of such marginal utility.  But any single test isn't
adding a significant amount of time, so I'm not going to insist.

In conclusion, feel free to push this; as far as I'm concerned, the
decision about the test is up to you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26360; Package emacs. Full text available.

Message received at 26360 <at> debbugs.gnu.org:


Received: (at 26360) by debbugs.gnu.org; 22 Apr 2017 19:24:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 22 15:24:23 2017
Received: from localhost ([127.0.0.1]:34710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d20dr-0000af-7k
	for submit <at> debbugs.gnu.org; Sat, 22 Apr 2017 15:24:23 -0400
Received: from mail-wr0-f179.google.com ([209.85.128.179]:34858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1d20dp-0000aS-WB
 for 26360 <at> debbugs.gnu.org; Sat, 22 Apr 2017 15:24:22 -0400
Received: by mail-wr0-f179.google.com with SMTP id z52so29413004wrc.2
 for <26360 <at> debbugs.gnu.org>; Sat, 22 Apr 2017 12:24:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=jVDKOZ9r/S1DrMrMUaszuCeA14dNEudjBwWPHg8PpFg=;
 b=f1OR/mqbezQpUsNGerGfGJN7V75ylWqtDx2QmyfKQVXHs9Pu5qRB+a0eMvqfebnj+o
 kyh2U6iUYMUdT+WI1LBkLNbvpf/KFAYBybY11JvTpYmKCPfwLH8dIwpqKSchiOf8HISA
 m5vOyjyt5K/TOirdiH4cqutMjKNjhiow9GOBiZ0XnUYSOfw0mxWouFEVCnqre49Zn7xO
 rv8myPYeELkOgYiJnFwKBvVnVu6FfLZ/g2YiIWpA6qmSmaLx9TtAZNq2SBAvYLp+FlBq
 1Q/tsvl1x5Ywhz5h0hYR377gQYGr+BU1M1YMiSeCW7qTpKSkrTA2E22PkbMEPXL38kWb
 xpGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=jVDKOZ9r/S1DrMrMUaszuCeA14dNEudjBwWPHg8PpFg=;
 b=ICK6MA4bhMvUKe94xB9MRaDMF8yM1C8eOOuwpdq94aGMMsZG1cu0hEWU0eVDePfG7N
 a17n/zqYc3Bkpc4gaSVRKpr+5sygz4sz5pf6FGx6osYpl8X70fqaMZnsnZxwC0HlFgmB
 6s/vFJ3eGrcXSfJIgBhDLq0oF6dzYTR9ci97MMIeU75b+5Kpx6btt8/g1Ih/pQe9oWNj
 m5In4m4QKLVlNfaxjBwym7gsFSFXdbclNTAMijyi9G2PddibxZS9Tok+OtUbi7dokNhH
 VQQ6c0FGmKXC8aOk+xTFgmRQnhVzc6Bz4Pzqp4gdqEfqkNt14VpHuPSUtAgyLEgsElAd
 zuRg==
X-Gm-Message-State: AN3rC/5lh0HWxc+c2RhUnj485CeORcXDbRfoMoGjLXx7M59v0e2U4T5Q
 yqFMwIlRJ8NZdHXZ1uz9Cicsm3wjVPqB
X-Received: by 10.223.139.146 with SMTP id o18mr2310463wra.175.1492889056281; 
 Sat, 22 Apr 2017 12:24:16 -0700 (PDT)
MIME-Version: 1.0
References: <wvr4y3vgicta.fsf@HIDDEN>
 <CAArVCkQTLpEF9He4aQtunKc3B1L=MLhpzAjmVdxCYr4KeL-gNQ@HIDDEN>
 <87efwmqvym.fsf@HIDDEN>
In-Reply-To: <87efwmqvym.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sat, 22 Apr 2017 19:24:05 +0000
Message-ID: <CAArVCkRZAq-yueedgcR-BEqyTFtB=HssXX7i+V95Oa7RczRv0Q@HIDDEN>
Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
To: npostavs@HIDDEN
Content-Type: multipart/alternative; boundary=f403045eade2e39297054dc6519a
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 26360
Cc: 26360 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

--f403045eade2e39297054dc6519a
Content-Type: text/plain; charset=UTF-8

<npostavs@HIDDEN> schrieb am Fr., 21. Apr. 2017 um 05:28 Uhr:

> tags 26360 patch
> quit
>
> Philipp Stephani <p.stephani2@HIDDEN> writes:
> >
> > Here's a patch (which includes a couple of other commands).
>
> Patch looks good, except the test seems redundant to me.  I don't think
> it's useful to test that a command is defined, or testing that specific
> keybindings have been set (i.e., no need to test again that `defun' or
> `define-key' are working).


I've used a bit of TDD for this patch, thus the verbose test. Unfortunately
the actual functionality is very hard to test :-(


>   Also, it would fail if run from a
> non-default emacs configuration that has changed the keybindings.
>

True, but the main use of the tests is for continuous integration, where
the environment is controlled.

--f403045eade2e39297054dc6519a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">&lt;<a=
 href=3D"mailto:npostavs@HIDDEN">npostavs@HIDDEN=
net</a>&gt; schrieb am Fr., 21. Apr. 2017 um 05:28=C2=A0Uhr:<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex">tags 26360 patch<br>
quit<br>
<br>
Philipp Stephani &lt;<a href=3D"mailto:p.stephani2@HIDDEN" target=3D"_bl=
ank">p.stephani2@HIDDEN</a>&gt; writes:<br>
&gt;<br>
&gt; Here&#39;s a patch (which includes a couple of other commands).<br>
<br>
Patch looks good, except the test seems redundant to me.=C2=A0 I don&#39;t =
think<br>
it&#39;s useful to test that a command is defined, or testing that specific=
<br>
keybindings have been set (i.e., no need to test again that `defun&#39; or<=
br>
`define-key&#39; are working).</blockquote><div><br></div><div>I&#39;ve use=
d a bit of TDD for this patch, thus the verbose test. Unfortunately the act=
ual functionality is very hard to test :-(</div><div>=C2=A0</div><blockquot=
e class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc sol=
id;padding-left:1ex">=C2=A0 Also, it would fail if run from a<br>
non-default emacs configuration that has changed the keybindings.<br></bloc=
kquote><div><br></div><div>True, but the main use of the tests is for conti=
nuous integration, where the environment is controlled.</div></div></div>

--f403045eade2e39297054dc6519a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26360; Package emacs. Full text available.
Added tag(s) patch. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 26360 <at> debbugs.gnu.org:


Received: (at 26360) by debbugs.gnu.org; 21 Apr 2017 03:28:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 20 23:28:32 2017
Received: from localhost ([127.0.0.1]:59584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1PFH-0004rX-Tg
	for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 23:28:32 -0400
Received: from mail-io0-f181.google.com ([209.85.223.181]:36327)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1d1PFF-0004rE-TZ; Thu, 20 Apr 2017 23:28:30 -0400
Received: by mail-io0-f181.google.com with SMTP id o22so109830779iod.3;
 Thu, 20 Apr 2017 20:28:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=1p2jWBSdiqLn8sxF/pghaMAXX8kUcn6ZQ4TsqkWVD+M=;
 b=lJ2xxDbDuNIp6BfhPq+O43KE6Yd66OOS0hjloRltU6DMbelVujWq7kup4oX/qVtwWy
 x1b8lYlqVKOxgvXca9vTvQluYGYkpVEXQu222goQkfurFgTorLX86dB1Sf7c7PXCdJkD
 JVlgRh4xQEQ/N1bC4sBAUWCaYURvLSie9Mn4LONQeLUwUPay7kJtsMp3TypuJZ95DTtp
 J+2jdifzPbZVIUmsd/zcswpPP9JFrf1ZhtZLN8Q1sxEImMEtWjsaA35DiGe/fcAgUISj
 MnHLzccrYBiPxUhKUFSKGzgdJCwJ9iDKXU8er/W3bGJqcVqkgar3AWpe4J8J9uZypwNR
 oWEg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=1p2jWBSdiqLn8sxF/pghaMAXX8kUcn6ZQ4TsqkWVD+M=;
 b=qOHdQE3TWJD0USQe1N4RKfp8yYxgFTQDaxAZU/rlosIBapdmwKa+ZoIcFRJwYmQcgO
 tW7FQrZsIkd19ztgs/2TbsKiq/q0x6F/3pdjJ0x/+bpZB7pXh7atBftncLeKisZ8WIYr
 90YC9eUwzoxNfTK6APWJDP6+8ccxEw7fsqEVbdRM/jMtjgnQZqp+qfWJoo/oWDk+gR8y
 Ygqzrzv+AhiqgjG5hb1qb0L0ewHj+PXU4BTmLS5yAOi1J/kzCjW6EdUejPwLJlz/OKwr
 fU+PXImoRnhYSW+VAqHWkQEN3ibB9iQ0/jc9AJLgwaczviy7z4EW0SV1NhsREpec76Re
 hraw==
X-Gm-Message-State: AN3rC/4mJvgl7H6WNvRR2MTXajxfzL/CyTrX9kCv6nz8pRirhXjOZJ85
 yXT/QmrNdiUrEQ==
X-Received: by 10.107.59.1 with SMTP id i1mr13821861ioa.18.1492745304327;
 Thu, 20 Apr 2017 20:28:24 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id e8sm354454itd.3.2017.04.20.20.28.23
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 20 Apr 2017 20:28:23 -0700 (PDT)
From: npostavs@HIDDEN
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
References: <wvr4y3vgicta.fsf@HIDDEN>
 <CAArVCkQTLpEF9He4aQtunKc3B1L=MLhpzAjmVdxCYr4KeL-gNQ@HIDDEN>
Date: Thu, 20 Apr 2017 23:29:53 -0400
In-Reply-To: <CAArVCkQTLpEF9He4aQtunKc3B1L=MLhpzAjmVdxCYr4KeL-gNQ@HIDDEN>
 (Philipp Stephani's message of "Thu, 20 Apr 2017 13:45:09 +0000")
Message-ID: <87efwmqvym.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 26360
Cc: 26360 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

tags 26360 patch
quit

Philipp Stephani <p.stephani2@HIDDEN> writes:
>
> Here's a patch (which includes a couple of other commands).

Patch looks good, except the test seems redundant to me.  I don't think
it's useful to test that a command is defined, or testing that specific
keybindings have been set (i.e., no need to test again that `defun' or
`define-key' are working).  Also, it would fail if run from a
non-default emacs configuration that has changed the keybindings.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26360; Package emacs. Full text available.

Message received at 26360 <at> debbugs.gnu.org:


Received: (at 26360) by debbugs.gnu.org; 20 Apr 2017 13:45:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 20 09:45:29 2017
Received: from localhost ([127.0.0.1]:58118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1COn-0004oz-5n
	for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 09:45:29 -0400
Received: from mail-wm0-f42.google.com ([74.125.82.42]:37382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1d1COk-0004om-Qg
 for 26360 <at> debbugs.gnu.org; Thu, 20 Apr 2017 09:45:27 -0400
Received: by mail-wm0-f42.google.com with SMTP id m123so38068908wma.0
 for <26360 <at> debbugs.gnu.org>; Thu, 20 Apr 2017 06:45:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=3t0qOl4/KFvBgpRWj0ZdFrgSO5m/Rpxbk5FNw35aMSo=;
 b=cQcu6LceKABRDHhZsfmjQaglzlK9cjHR9ZfrUP9BqdbWgxTinIPtDnIkALyigDodnq
 CmDuT7LhZoTxPQqbeL56I9Sky+rCC0vy731ooqbd9+gyS95lnPLc8CkO1S2467M5dUHf
 FA226pAf1gqGy8Z/Tl+7gF1it+RM3N9JLEPAVjXwO79L7DKQtIlnbMu5dQMUeubnelp/
 kRjKB2MLLAi6APxgUMvLrYpoiueu0jDjA6Gb8Fn34e2nR3+DGXhY5HWmDn74qTJPxMjx
 HQ08oSw1jBkUkrRHZdLoQuWFsom9rZCcSW+S9ORNfTTwfrGJ6CVitj3EfhKvrkHONKD0
 EpHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=3t0qOl4/KFvBgpRWj0ZdFrgSO5m/Rpxbk5FNw35aMSo=;
 b=oGLXod1HuH2ixH2+3+D3vq/wu/yLqq4ea+jIlfyGbNP83Jm9J6M0kBfQyjSc9D6+X9
 BAZ7fBwNXMg/7a231s53OMWvexYgtzRgvDHQ1FwV3V5ucF/449C7tQ2vU5grPV4fKfAh
 AKx8Km7hK+gTuGKRE+NXAIrNC+TcZxud3/BdweYcV+fdAHUBBopk1BuNWxauF74q1DeE
 My4DJRDbbRmGVDjwq7KRWZ3ujTvNiGTKiMOD5F64EPHd2NtobKYFwWUQBXMWJhOk+r7e
 NGBYuQxt5D8BYN1LF35Z5gFyqOJgZGN6bSgwylIi0Jssc2cUHJ/OpdE0uBblbpvBIc+3
 1svQ==
X-Gm-Message-State: AN3rC/6mp/Ru2+QLQg1PTuErrmk//u5VHZ01lJLXHmaXwzEykQZ9N3ki
 Lwg5GfD/aiRYrEJ9ucwtwfT7hUAKQIUC
X-Received: by 10.28.199.198 with SMTP id x189mr3368704wmf.95.1492695920828;
 Thu, 20 Apr 2017 06:45:20 -0700 (PDT)
MIME-Version: 1.0
References: <wvr4y3vgicta.fsf@HIDDEN>
In-Reply-To: <wvr4y3vgicta.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Thu, 20 Apr 2017 13:45:09 +0000
Message-ID: <CAArVCkQTLpEF9He4aQtunKc3B1L=MLhpzAjmVdxCYr4KeL-gNQ@HIDDEN>
Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
To: 26360 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=94eb2c0d75da204ab6054d995ab1
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 26360
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

--94eb2c0d75da204ab6054d995ab1
Content-Type: multipart/alternative; boundary=94eb2c0d75da204ab1054d995aaf

--94eb2c0d75da204ab1054d995aaf
Content-Type: text/plain; charset=UTF-8

Philipp Stephani <p.stephani2@HIDDEN> schrieb am Di., 4. Apr. 2017 um
14:22 Uhr:

>
> M-x ido-mode
>
> Then try
> C-x C-f
> C-x d
> C-x 4 f
> C-x 4 d
>
> In the first three cases, IDO will be used, but not in the fourth case.
> That's a weird inconsistency.
>
>
Here's a patch (which includes a couple of other commands).

--94eb2c0d75da204ab1054d995aaf
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Philip=
p Stephani &lt;<a href=3D"mailto:p.stephani2@HIDDEN">p.stephani2@HIDDEN=
om</a>&gt; schrieb am Di., 4. Apr. 2017 um 14:22=C2=A0Uhr:<br></div><blockq=
uote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc =
solid;padding-left:1ex"><br>
M-x ido-mode<br>
<br>
Then try<br>
C-x C-f<br>
C-x d<br>
C-x 4 f<br>
C-x 4 d<br>
<br>
In the first three cases, IDO will be used, but not in the fourth case.<br>
That&#39;s a weird inconsistency.<br>
<br>
</blockquote><div><br></div><div>Here&#39;s a patch (which includes a coupl=
e of other commands).</div><div>=C2=A0</div></div></div>

--94eb2c0d75da204ab1054d995aaf--

--94eb2c0d75da204ab6054d995ab1
Content-Type: text/plain; charset=US-ASCII; 
	name="0001-Add-missing-remappings-for-Ido-mode.txt"
Content-Disposition: attachment; 
	filename="0001-Add-missing-remappings-for-Ido-mode.txt"
Content-Transfer-Encoding: base64
Content-ID: <15b8b9bfcf68179ccd81>
X-Attachment-Id: 15b8b9bfcf68179ccd81
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--94eb2c0d75da204ab6054d995ab1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26360; Package emacs. Full text available.

Message received at 26360 <at> debbugs.gnu.org:


Received: (at 26360) by debbugs.gnu.org; 4 Apr 2017 12:28:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 04 08:28:59 2017
Received: from localhost ([127.0.0.1]:59853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cvNZz-0002jG-BY
	for submit <at> debbugs.gnu.org; Tue, 04 Apr 2017 08:28:59 -0400
Received: from mail-oi0-f46.google.com ([209.85.218.46]:34331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cvNZx-0002j3-O9
 for 26360 <at> debbugs.gnu.org; Tue, 04 Apr 2017 08:28:58 -0400
Received: by mail-oi0-f46.google.com with SMTP id d2so27465593oig.1
 for <26360 <at> debbugs.gnu.org>; Tue, 04 Apr 2017 05:28:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=A1iTaEN+97qGeiMWsj0KEiBiOJZeYv9wFR6fpUzupl4=;
 b=p6IqctIlKzv4+5FEi0Wfg+19+yDhV0D28Ch3ZiP6NFskFTgonsJxLGxay1w3fucMg4
 UYaagmM1bt1iPTCSyjPeEI1j8QFGVrQhEZkvmqy8bhfZvpkmXU79GuGbTRyOkfTZ/T0w
 INOc/mrrbIAbCzf5AtFc9v3dsXaakyK/Aq1SkF3rPDffdXEKFCYsVuwRVL2mJbwWGa51
 fH9VPPWul8NXd+ltvGtSXlc5GckqSbpNR+ATGr+jZ+gzWOO5xC6M2bhuIEJrynKDxrFD
 6CFCv/LaC5HrofYzcbxX+PFKwrSN8uoqvhcXnQvGcLfO22CVi6SwOV2d6/YVrcRl3+do
 9JgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=A1iTaEN+97qGeiMWsj0KEiBiOJZeYv9wFR6fpUzupl4=;
 b=jXtEYcOdjTw7K8OWT1JwnBKIHuOg0bj0k2lF+6zj3Qn6C/3gLn2KKBm9c/fzO/Ev10
 5l0AhhISbSURzFP7hk9UahtlqLkwR1KpnIP6r+illWuw+cLVJiPPNDrj76c0bh22Kj3a
 RdxfbIGvXhCMPuRPFVn1huUv2EY4sYB9vXzVGox9BMazkJ18ZDzS83LvnTXQbuC2nBRI
 Oc60YZAke0HG4MYFvMhwxEHE07CxDxxKUMtUnm36a28mZww7tuU1yFPHZeDFYbobG2fl
 Jb7vnGq1JtXeVHXB9jaMjubcdO9D4qpJfaEjBOrL2zyzCo9L07L7hnHQUGpMHtS6N3zQ
 UVTA==
X-Gm-Message-State: AFeK/H0tvmfo/vonENFGw1AAnbqvZRO8ER642kfUoTpKw4n8h1+fdE2NHLoRa3Iap8i6SobTwif6P9u4JZBk5A==
X-Received: by 10.157.38.42 with SMTP id a39mr12982301otb.267.1491308931846;
 Tue, 04 Apr 2017 05:28:51 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.80.133 with HTTP; Tue, 4 Apr 2017 05:28:51 -0700 (PDT)
In-Reply-To: <wvr4y3vgicta.fsf@HIDDEN>
References: <wvr4y3vgicta.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Tue, 4 Apr 2017 08:28:51 -0400
X-Google-Sender-Auth: WPxkd4DEtVPwwQTNGX_ZZzRCgc0
Message-ID: <CAM-tV-9GidFtWwP9ZNaZ667kP3zhGfRbwwa5aQrxmqXsh59j1g@HIDDEN>
Subject: Re: bug#26360: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
To: Philipp Stephani <p.stephani2@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 26360
Cc: 26360 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On Tue, Apr 4, 2017 at 8:20 AM, Philipp Stephani <p.stephani2@HIDDEN> wrote:
>
> M-x ido-mode
>
> Then try
> C-x C-f
> C-x d
> C-x 4 f
> C-x 4 d
>
> In the first three cases, IDO will be used, but not in the fourth case.
> That's a weird inconsistency.

Doing M-x ido-everywhere makes it consistent. Not sure if this is on
purpose or not...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26360; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Apr 2017 12:21:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 04 08:21:05 2017
Received: from localhost ([127.0.0.1]:59847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cvNSL-0002XJ-Dr
	for submit <at> debbugs.gnu.org; Tue, 04 Apr 2017 08:21:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1cvNSJ-0002WS-9r
 for submit <at> debbugs.gnu.org; Tue, 04 Apr 2017 08:21:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1cvNSD-0003uL-1X
 for submit <at> debbugs.gnu.org; Tue, 04 Apr 2017 08:20:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35932)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <p.stephani2@HIDDEN>)
 id 1cvNSC-0003uG-UU
 for submit <at> debbugs.gnu.org; Tue, 04 Apr 2017 08:20:56 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33726)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1cvNSB-0004zd-Gg
 for bug-gnu-emacs@HIDDEN; Tue, 04 Apr 2017 08:20:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <p.stephani2@HIDDEN>) id 1cvNSA-0003sm-B6
 for bug-gnu-emacs@HIDDEN; Tue, 04 Apr 2017 08:20:55 -0400
Received: from mail-wr0-x22b.google.com ([2a00:1450:400c:c0c::22b]:36199)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <p.stephani2@HIDDEN>)
 id 1cvNSA-0003sW-3T
 for bug-gnu-emacs@HIDDEN; Tue, 04 Apr 2017 08:20:54 -0400
Received: by mail-wr0-x22b.google.com with SMTP id w11so210705390wrc.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 04 Apr 2017 05:20:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=oYeiXKUNfTuo+WK4lz6S0s19F7Hk2SBSlIEFmK0TO1Q=;
 b=KzJZ9MPW8vZmqBcSuObAqMWzYGp/F+cUKbgBvtMjTRAe9GUAkzwFzlsnosDojVoH5g
 /8R3MdYh9yqmwk7BxbkZJIvEnFPcxpcYbphi51SWbD0y/g5G/I4ryaD51WsKMhW25R9i
 liRHLcfTJI4xBQanjEa4tsbPqQBxxtmwsREsyKPk2OnoR3CKcFZ++m/Tx9cioZrQCUTe
 tMxxP8kCQesI8C1bm7NROF21gol5Ym+y+CqcATpDgFCcS+tDtWC8G/TC6YiaJFHMoatg
 pLX32RJjpDCdrkMmAwErQr/CE4iAQUBs/fXWlx06uygxWZ6OTxiL89p03RewJpASkIS/
 oemA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=oYeiXKUNfTuo+WK4lz6S0s19F7Hk2SBSlIEFmK0TO1Q=;
 b=HrBBK/gcwJ5pu5LLpIsC9sICwQUlfRX85KpK4oHl3Q8loVtj8cjU8pQC/GRJCk8gut
 fkjOYq/AbE5wS/d6urnp8TTqdXbhn6KGc7IfWlZcPyvJETGCZv4ERwxFcC0pBjE5YW9r
 hbvCFT2qqEbL/mhk6ifqIjlUgcOb2IIImylrsFKIJ6r/bs1kjN2JqKz08y2ZIZKcwKMK
 E8Dco+K01CBlQr8Gpih/vM2KawLYZeNfS7sA91aHQCphYbPBSMsBYXIL4zEi6gbEQjSV
 d1jCrUuDvIwYNcH96DeMiG40ylHPQ/zQ7gjSp05iGy7UJErae8EwFGDe0rlWDht2x8rz
 6Ztg==
X-Gm-Message-State: AFeK/H3Um+2CU739u5m0veU+0V+lo/yqwNZEDI1MoVygOv+jrqR2kaRq58BXXUkDmRyE+Q==
X-Received: by 10.223.141.149 with SMTP id o21mr21791396wrb.69.1491308451844; 
 Tue, 04 Apr 2017 05:20:51 -0700 (PDT)
Received: from a.muc.corp.google.com ([2a00:79e0:15:2:9d7c:bbba:15b6:749c])
 by smtp.gmail.com with ESMTPSA id c7sm951878wrc.20.2017.04.04.05.20.50
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=AES128-SHA bits=128/128);
 Tue, 04 Apr 2017 05:20:50 -0700 (PDT)
From: Philipp Stephani <p.stephani2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50; ido-mode doesn't enable IDO for C-x 4 d
Date: Tue, 04 Apr 2017 14:20:49 +0200
Message-ID: <wvr4y3vgicta.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)


M-x ido-mode

Then try
C-x C-f
C-x d
C-x 4 f
C-x 4 d

In the first three cases, IDO will be used, but not in the fourth case.
That's a weird inconsistency.


In GNU Emacs 26.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.10.8)
 of 2017-04-04 built on unknown
Repository revision: f4b50dad8d5eade04f495c693c0bca46060b25cb
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description:	Ubuntu 14.04 LTS

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --without-pop --with-mailutils --enable-checking
 --enable-check-lisp-object-type --with-modules 'CFLAGS=3D-O0 -ggdb3''

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY GNUTLS FREETYPE XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message puny seq byte-opt subr-x gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 95798 11364)
 (symbols 48 20179 1)
 (miscs 40 39 156)
 (strings 32 17662 4751)
 (string-bytes 1 576290)
 (vectors 16 14098)
 (vector-slots 8 483725 5397)
 (floats 8 48 68)
 (intervals 56 217 0)
 (buffers 976 12)
 (heap 1024 23372 1029))

--=20
Google Germany GmbH
Erika-Mann-Stra=C3=9Fe 33
80636 M=C3=BCnchen

Registergericht und -nummer: Hamburg, HRB 86891
Sitz der Gesellschaft: Hamburg
Gesch=C3=A4ftsf=C3=BChrer: Matthew Scott Sucherman, Paul Terence Manicle

Diese E-Mail ist vertraulich.  Wenn Sie nicht der richtige Adressat sind,
leiten Sie diese bitte nicht weiter, informieren Sie den Absender und l=C3=
=B6schen
Sie die E-Mail und alle Anh=C3=A4nge.  Vielen Dank.

This e-mail is confidential.  If you are not the right addressee please do =
not
forward it, please inform the sender, and please erase this e-mail including
any attachments.  Thanks.




Acknowledgement sent to Philipp Stephani <p.stephani2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26360; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 May 2017 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.